/**
 * @file
 * Visual styles for Corporate+'s product content type.
 */

.node--type-mt-product .node__header {
    padding: 0;
}


/*page title*/

.layout-no-sidebars.page-node-type-mt-product .page-title {
    text-align: center;
}


/*subheader field*/

.node--type-mt-product .field--name-field-mt-subheader-body {
    font-size: 22px;
    padding: 0;
    line-height: 1.5;
    margin-top: -15px;
    margin-bottom: 30px;
}

.layout-no-sidebars .node--type-mt-product .field--name-field-mt-subheader-body {
    text-align: center;
}

@media (min-width: 768px) {
    .layout-no-sidebars .node--type-mt-product .field--name-field-mt-subheader-body {
        padding: 0 20%;
    }
}


/*image field*/

.node--type-mt-product .field--name-field-image {
    margin-bottom: 30px;
}

.node--type-mt-product.node--view-mode-teaser .images-container {
    margin-bottom: 15px;
}


/*price field*/

.node--type-mt-product .field--name-field-mt-price {
    font-size: 42px;
    margin: 30px 0 5px;
}

.node--type-mt-product .field--name-field-mt-price+.field {
    padding-top: 25px;
}


/*buy link field*/

.node--type-mt-product .field--name-field-mt-buy-link a {
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
    padding: 15px 23px;
    text-decoration: none;
    display: inline-block;
    line-height: 1;
    border-width: 1px;
    border-style: solid;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    margin: 20px 0;
    text-align: center;
    background-color: transparent;
}

.headings-wide-spacing-enabled .node--type-mt-product .field--name-field-mt-buy-link a {
    letter-spacing: 0.25em;
}

.node--type-mt-product .field--name-field-mt-buy-link a:hover {
    color: #ffffff;
}

.region--light-typography .node--type-mt-product .field--name-field-mt-buy-link a {
    color: #ffffff;
    text-decoration: none;
    background-color: transparent;
    border-style: solid;
    border-width: 1px;
    border-color: #ffffff;
}

.region--light-typography .node--type-mt-product .field--name-field-mt-buy-link a:hover {
    background-color: #ffffff;
    border-color: #ffffff;
}


/*availabilty and product code fields*/

.node--type-mt-product .field--name-field-mt-product-code,
.node--type-mt-product .field--name-field-mt-product-availability {
    margin: 10px 0;
}

.node--type-mt-product .field--name-field-mt-product-code .field__label,
.node--type-mt-product .field--name-field-mt-product-availability .field__label {
    font-weight: 400;
}

.node--type-mt-product .field--name-field-mt-product-code .field__item,
.node--type-mt-product .field--name-field-mt-product-availability .field__item {
    color: #9c9c9c;
}

.node--type-mt-product .field--name-field-mt-product-code .field__item:before {
    content: "#";
}


/**
 * @file
 * Visual styles for Corporate+'s products list views.
 */

.view-products-list .views-row:first-child {
    margin-top: 10px;
}

.view-products-list .views-row {
    margin-top: 70px;
}

.view-products-list .views-field-title {
    font-size: 18px;
    font-weight: 700;
}

.headings-wide-spacing-enabled .view-products-list .views-field-title {
    letter-spacing: 0.25em;
    text-transform: uppercase;
}

.view-products-list .views-field-title a {
    margin-bottom: 0;
}

.region--light-typography .view-products-list .views-field-title a {
    color: #ffffff;
}

.region--light-typography .view-products-list .views-field-title a:hover {
    color: #ffffff;
}

.view-products-list .views-field-field-mt-price {
    font-size: 18px;
    margin: 0px 0 10px 0;
    font-weight: 700;
}

.view-products-list .views-field-link {
    margin-top: 10px;
}

.view-products-list .views-field-title a:hover {
    text-decoration: none;
}